Subject: SRP and SM2

From: Chris Newman <[email-masked]>
Date: Mon, 26 Mar 2001 17:20:48 -0800

I think SRP fills a useful niche.  Relative to DIGEST-MD5, it trades speed 
and management flexability for a significant improvement in wire and 
server-side security.

However, Jeff Schiller has made it quite clear that slow PK-based 
algorithms (like SRP) need a fast restart mechanism before they're suitable 
for the standards track.  If I understand the proposal correct, SM2 is the 
fast-restart mechanism to go with SRP and thus SM2 needs to go to the 
standards track before or at the same time that SRP does.  If we only look 
at one of the two in the WG, it needs to be SM2 since that could have a 
broader scope than just SRP.

		- Chris